Subject: [bug#49450] [PATCH] gnu: emacs-deadgrep: Add missing input.

From: Nicolas Goaziou <[email-masked]>
Date: Wed, 07 Jul 2021 17:53:06 +0200

Matthew Kraai <[email-masked]> writes:

> I was trying to ensure that when emacs-deadgrep is installed, ripgrep
> is also installed. The former doesn’t need the latter to build but
> does require it at runtime. Isn’t propagated-inputs the right field
> for that?

Inputs are also available at runtime, but do not clobber user's profile.
It's preferable to use them, when it's reasonably possible.

In this case, it means you just need to modify the Elisp source to make
sure code points to the right ripgrep executable in the store. See,
e.g., emacs-flycheck-grammalecte.